langcode: en
status: true
dependencies: {  }
id: h4c_terms_fr
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - CSV
migration_group: h4c_general_import
label: 'H4C CSV Term Migration FR'
source:
  plugin: csv
  path: 'public://migration/h4c_terms_import.csv'
  header_row_count: 1
  keys:
    - id
  column_names:
    -
      id: UUID
    -
      vid: Vocbaulary
    -
      name_en: 'Term Name English'
    -
      name_de: 'Term Name German'
    -
      name_fr: 'Term Name French'
    -
      parent: 'Parent Term'
    -
      description: 'Term Description'
    -
      color: 'Color Field'
  delimiter: ','
  enclosure: '"'
process:
  vid: vid
  tid:
    plugin: migration_lookup
    source: id
    migration: h4c_terms
  name:
    plugin: get
    source: name_fr
    language: fr
  parent:
    plugin: migration_lookup
    migration: h4c_terms
    source: parent
  langcode:
    plugin: default_value
    default_value: fr
  field_h4c_term_color: color
destination:
  plugin: 'entity:taxonomy_term'
  translations: true
migration_dependencies:
  optional:
    - h4c_terms
